Skip to main content
POST
Test Webhook Endpoint

Authorizations

Authorization
string
header
required

Send an account API key in the Authorization: Bearer <key> header.

Headers

OpenPMM-Request-Id
string

Optional request ID. OpenPMM returns this value when it is valid. Otherwise, OpenPMM creates a request ID.

Maximum string length: 128
Idempotency-Key
string
required

A unique key for this operation. Use the same key when you retry the same request. Different input with the same key returns 409.

Required string length: 1 - 200

Path Parameters

workspace_id
string
required

Unique workspace ID.

Example:

"ws_01JABCDEF"

endpoint_id
string
required

Unique webhook endpoint ID.

Example:

"wh_01JABCDEF"

Response

The result of the test attempt.

object
string
required
Allowed value: "webhook_test"
event_id
string
required

Unique event ID.

Example:

"evt_01JABCDEF"

delivery_id
string
required

Stable delivery ID.

Example:

"whd_01JABCDEF"

delivered
boolean
required
status_code
integer | null
required
Required range: 100 <= x <= 599
latency_ms
integer | null
required
Required range: x >= 0
retryable
boolean
required